> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Actions

> Page proposed and completed remediation actions with their immutable previews and outcomes.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/maintenance/actions
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/maintenance/actions:
    get:
      tags:
        - projectMaintenance
      summary: List Actions
      description: >-
        Page proposed and completed remediation actions with their immutable
        previews and outcomes.
      operationId: projectMaintenance.listActions
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            maxLength: 512
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: runId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - proposed
              - approval_required
              - approved
              - rejected
              - running
              - succeeded
              - failed
              - rolled_back
      responses:
        '200':
          description: Maintenance actions.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        id:
                          type: string
                          format: uuid
                        runId:
                          type: string
                          format: uuid
                        findingId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        operationId:
                          type: string
                        risk:
                          type: string
                          enum:
                            - read
                            - write
                            - dangerous
                            - destructive
                        status:
                          type: string
                          enum:
                            - proposed
                            - approval_required
                            - approved
                            - rejected
                            - running
                            - succeeded
                            - failed
                            - rolled_back
                        version:
                          type: integer
                          minimum: 1
                        input:
                          type: object
                          additionalProperties: true
                        preview:
                          type: object
                          additionalProperties: true
                        result: {}
                        error:
                          type:
                            - string
                            - 'null'
                        decidedBy:
                          type:
                            - string
                            - 'null'
                          minLength: 1
                          maxLength: 160
                        decisionReason:
                          type:
                            - string
                            - 'null'
                        decidedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        executedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - runId
                        - findingId
                        - operationId
                        - risk
                        - status
                        - version
                        - input
                        - preview
                        - result
                        - error
                        - decidedBy
                        - decisionReason
                        - decidedAt
                        - executedAt
                        - createdAt
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````